summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBrian Bidulock2021-09-19 08:58:13 -0600
committerBrian Bidulock2021-09-19 08:58:13 -0600
commitc1828a0026d0d3d053a0b2e3530cef29c813dba2 (patch)
treeddea78fc12ee9476c0ed990219c46317a1c74ddc
parentebf04ddd69887b9a7601e4ea17921fec1b51c922 (diff)
downloadaur-c1828a0026d0d3d053a0b2e3530cef29c813dba2.tar.gz
uppkg
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD50
2 files changed, 43 insertions, 30 deletions
diff --git a/.SRCINFO b/.SRCINFO
index be9c7dc4769..cd1305f6d78 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,28 +1,23 @@
pkgbase = librsvg-git
- pkgdesc = A SVG viewing library
- pkgver = 2.46.0.r79.g4df27786
+ pkgdesc = SVG rendering library
+ pkgver = 2.52.0.r10.g9d9c4c1d
pkgrel = 1
- url = https://live.gnome.org/LibRsvg
- install = librsvg.install
- arch = i686
+ epoch = 2
+ url = https://wiki.gnome.org/Projects/LibRsvg
arch = x86_64
+ arch = i686
license = LGPL
- makedepends = intltool
makedepends = gobject-introspection
makedepends = vala
- makedepends = python2
- makedepends = git
- makedepends = cargo
makedepends = gtk-doc
+ makedepends = git
+ makedepends = rust
depends = gdk-pixbuf2
depends = pango
- depends = libcroco
- optdepends = gtk3: to run rsvg-view-3 viewer
- provides = librsvg=2.46.0-1
+ provides = librsvg-2.so
+ provides = librsvg=2.52.0-1
conflicts = librsvg
- options = !emptydirs
source = librsvg-git::git+https://gitlab.gnome.org/GNOME/librsvg.git
sha256sums = SKIP
pkgname = librsvg-git
-
diff --git a/PKGBUILD b/PKGBUILD
index fb6e288705e..98d87d6e868 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,36 +1,54 @@
-# $Id: PKGBUILD 252139 2015-12-02 21:33:21Z heftig $
-# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Maintainer: Brian Bidulock <bidulock@openss7.org>
+# Contributor: Jan Alexander Steffens (heftig) <heftig@archlinux.org>
+# Contributor: Jan de Groot <jgc@archlinux.org>
pkgname=librsvg-git
_pkgname=librsvg
-pkgver=2.46.0.r79.g4df27786
+pkgver=2.52.0.r10.g9d9c4c1d
pkgrel=1
-pkgdesc="A SVG viewing library"
-arch=(i686 x86_64)
-license=('LGPL')
-depends=('gdk-pixbuf2' 'pango' 'libcroco')
-makedepends=('intltool' 'gobject-introspection' 'vala' 'python2' 'git' 'cargo' 'gtk-doc')
-optdepends=('gtk3: to run rsvg-view-3 viewer')
-options=('!emptydirs')
-url="https://live.gnome.org/LibRsvg"
-install=$_pkgname.install
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(x86_64 i686)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango)
+makedepends=(gobject-introspection vala gtk-doc git rust)
+provides=(librsvg-${pkgver%%.*}.so "${_pkgname}=${pkgver%%.r*}-${pkgrel}")
+conflicts=("${_pkgname}")
source=("$pkgname::git+https://gitlab.gnome.org/GNOME/$_pkgname.git")
sha256sums=('SKIP')
-provides=("${_pkgname}=${pkgver%%.r*}-${pkgrel}")
-conflicts=("${_pkgname}")
pkgver() {
cd $pkgname
git describe --tags | sed -r 's,^[^0-9]*,,;s,([0-9]*-g),r\1,;s,[-_],.,g'
}
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+# Use LTO
+export CARGO_PROFILE_RELEASE_LTO=true CARGO_PROFILE_RELEASE_CODEGEN_UNITS=1
+
build() {
cd $pkgname
- ./autogen.sh --prefix=/usr --disable-static --enable-vala --disable-tools
- make V=0
+ ./configure --prefix=/usr --disable-static --enable-vala \
+ --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ # Test suite is very dependent on the versions of
+ # Cairo, Pango, FreeType and HarfBuzz
+ make check || :
}
package() {
cd $pkgname
make DESTDIR="$pkgdir" install
}
+
+# vim:set sw=2 et: